using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Data.Odbc;

namespace CWW
{
	/// <summary>
	/// Summary description for DirApp.
	/// </summary>
	public class DirApp : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFirstName;
		protected System.Web.UI.WebControls.Label FirstNameLabel;
		protected System.Web.UI.WebControls.TextBox FirstNameField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredLastName;
		protected System.Web.UI.WebControls.Label LastNameLabel;
		protected System.Web.UI.WebControls.TextBox LastNameField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredAddress;
		protected System.Web.UI.WebControls.Label AddressLabel;
		protected System.Web.UI.WebControls.TextBox AddressField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredCity;
		protected System.Web.UI.WebControls.Label CityLabel;
		protected System.Web.UI.WebControls.TextBox CityField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredProv;
		protected System.Web.UI.WebControls.Label ProvinceLabel;
		protected System.Web.UI.WebControls.TextBox ProvField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredCountry;
		protected System.Web.UI.WebControls.Label CountryLabel;
		protected System.Web.UI.WebControls.TextBox CountryField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredPostal;
		protected System.Web.UI.WebControls.Label PostalLabel;
		protected System.Web.UI.WebControls.TextBox PostalField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredEmail;
		protected System.Web.UI.WebControls.Label EmailLabel;
		protected System.Web.UI.WebControls.TextBox EmailField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredSIN;
		protected System.Web.UI.WebControls.Label SINLabel;
		protected System.Web.UI.WebControls.TextBox SINField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredTelephone;
		protected System.Web.UI.WebControls.Label TelephoneLabel;
		protected System.Web.UI.WebControls.TextBox TelephoneField;
		protected System.Web.UI.WebControls.Label MobileLabel;
		protected System.Web.UI.WebControls.TextBox MobileField;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.TextBox WorkField;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.TextBox FaxField;
		protected System.Web.UI.WebControls.RadioButtonList RadioButtonList1;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredContactName;
		protected System.Web.UI.WebControls.Label ContactNameLabel;
		protected System.Web.UI.WebControls.TextBox ContactNameField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredContactTelephone;
		protected System.Web.UI.WebControls.Label ContactTelephoneLabel;
		protected System.Web.UI.WebControls.TextBox ContactTelephoneField;
		protected System.Web.UI.WebControls.Label LearnLabel;
		protected System.Web.UI.WebControls.TextBox Textbox1;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredResume;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredPhoto;
		protected System.Web.UI.WebControls.Button SubmitButton;
		protected System.Web.UI.WebControls.Button ResetButton;
		protected System.Web.UI.WebControls.ValidationSummary ValidationSummary1;
		protected System.Web.UI.HtmlControls.HtmlInputFile ResumeFile;
		protected System.Web.UI.WebControls.Label ccLabel;
		protected System.Web.UI.WebControls.Label ccNameLabel;
		protected System.Web.UI.WebControls.TextBox ccField;
		protected System.Web.UI.WebControls.TextBox ccNameField;
		protected System.Web.UI.WebControls.Label ExpLabel;
		protected System.Web.UI.WebControls.TextBox ExpField;
		protected System.Web.UI.WebControls.RequiredFieldValidator ccRequiredfieldvalidator;
		protected System.Web.UI.WebControls.RequiredFieldValidator ccNameRequiredfieldvalidator2;
		protected System.Web.UI.WebControls.RequiredFieldValidator ExpRequiredfieldvalidator;
		protected System.Web.UI.WebControls.RequiredFieldValidator SceneRequiredfieldvalidator;
		protected System.Web.UI.HtmlControls.HtmlInputFile SceneFile;
		protected System.Web.UI.WebControls.RequiredFieldValidator Ref1Required;
		protected System.Web.UI.WebControls.RequiredFieldValidator Ref2Requiredfieldvalidator;
		protected System.Web.UI.WebControls.RequiredFieldValidator Ref3Requiredfieldvalidator;
		protected System.Web.UI.HtmlControls.HtmlInputFile RefFile1;
		protected System.Web.UI.HtmlControls.HtmlInputFile RefFile2;
		protected System.Web.UI.HtmlControls.HtmlInputFile RefFile3;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredCover;
		protected System.Web.UI.HtmlControls.HtmlInputFile CoverLetterFile;
		protected System.Web.UI.HtmlControls.HtmlInputFile PhotoFile;

		protected string strCoverLetterFileName;
		protected string strResumeFileName;
		protected string strPhotoFileName;
		protected string strRefFileName1;
		protected string strRefFileName2;
		protected string strRefFileName3;
		protected string strSceneFileName;
		protected string strSigFileName;
		protected string strBioFileName;
		protected System.Web.UI.WebControls.Label SigLabel;
		protected System.Web.UI.HtmlControls.HtmlInputFile SigFile;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldBio;
		protected System.Web.UI.HtmlControls.HtmlInputFile BioFile;
		protected string strFileDirectory = "/services/webpages/c/r/creativewomenworkshops.com/public/CWW/Admin/Attachments/";
											

		public string getFirstName()
		{
			return FirstNameField.Text;
		}

		public string getLastName()
		{
			return LastNameField.Text;
		}

		public string getAddress()
		{
			return AddressField.Text;
		}

		public string getCity()
		{
			return CityField.Text;
		}

		public string getProv()
		{
			return ProvField.Text;
		}

		public string getCountry()
		{
			return CountryField.Text;
		}

		public string getPostal()
		{
			return PostalField.Text;
		}

		public string getEmail()
		{
			return EmailField.Text;
		}

		public string getSIN()
		{
			return SINField.Text;
		}

		public string getTelephone()
		{
			return TelephoneField.Text;
		}

		public string getMobile()
		{
			return MobileField.Text;
		}

		public string getWork()
		{
			return WorkField.Text;
		}

		public string getFax()
		{
			return FaxField.Text;
		}

		public string getSmoking()
		{
			return RadioButtonList1.SelectedValue;
		}

		public string getContactName()
		{
			return ContactNameField.Text;
		}

		public string getContactTelephone()
		{
			return ContactTelephoneField.Text;
		}
		
		public string getLearn()
		{
			return Textbox1.Text;
		}

		public string getCC()
		{
			return ccField.Text;
		}

		public string getCCName()
		{
			return ccNameField.Text;
		}

		public string getExpField()
		{
			return ExpField.Text;
		}

		public HtmlInputFile getCoverLetterFile()
		{
			return CoverLetterFile;
		}

		public HtmlInputFile getResumeFile()
		{
			return ResumeFile;
		}

		public HtmlInputFile getPhotoFile()
		{
			return PhotoFile;
		}

		public HtmlInputFile getSceneFile()
		{
			return SceneFile;
		}

		public HtmlInputFile getRefFile1()
		{
			return RefFile1;
		}

		public HtmlInputFile getRefFile2()
		{
			return RefFile2;
		}

		public HtmlInputFile getRefFile3()
		{
			return RefFile3;
		}

		public HtmlInputFile getSigFile()
		{
			return SigFile;
		}

		public HtmlInputFile getBioFile()
		{
			return BioFile;
		}

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here

		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.SubmitButton.Click += new System.EventHandler(this.SubmitButton_Click);
			this.ResetButton.Click += new System.EventHandler(this.ResetButton_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion


		private void SubmitButton_Click(object sender, System.EventArgs e)
		{
			
			//determine file names to be uploaded
			strCoverLetterFileName = System.IO.Path.GetFileName(CoverLetterFile.PostedFile.FileName);
			strResumeFileName = System.IO.Path.GetFileName(ResumeFile.PostedFile.FileName);
			strPhotoFileName = System.IO.Path.GetFileName(PhotoFile.PostedFile.FileName);
			strRefFileName1 = System.IO.Path.GetFileName(RefFile1.PostedFile.FileName);
			strRefFileName2 = System.IO.Path.GetFileName(RefFile2.PostedFile.FileName);
			strRefFileName3 = System.IO.Path.GetFileName(RefFile3.PostedFile.FileName);
			strSceneFileName = System.IO.Path.GetFileName(SceneFile.PostedFile.FileName);
			strSigFileName = System.IO.Path.GetFileName(SigFile.PostedFile.FileName);
			strBioFileName = System.IO.Path.GetFileName(BioFile.PostedFile.FileName);
			
			//create a folder in the current directory to store the attached files
			Directory.CreateDirectory(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/"); //main directory
			Directory.CreateDirectory(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/cover/"); //cover
			Directory.CreateDirectory(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/resume/"); //resume
			Directory.CreateDirectory(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/photo/"); //photo
			Directory.CreateDirectory(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/reference_1/"); //reference1
			Directory.CreateDirectory(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/reference_2/"); //reference2
			Directory.CreateDirectory(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/reference_3/"); //reference3
			Directory.CreateDirectory(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/scene/"); //scene
			Directory.CreateDirectory(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/signature/"); //signature
			Directory.CreateDirectory(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/bio/"); //bio

			//save files into the server (includes the path)
			CoverLetterFile.PostedFile.SaveAs(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/cover/" + strCoverLetterFileName);
			ResumeFile.PostedFile.SaveAs(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/resume/" + strResumeFileName);
			PhotoFile.PostedFile.SaveAs(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/photo/" + strPhotoFileName);
			RefFile1.PostedFile.SaveAs(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/reference_1/" + strRefFileName1);
			RefFile2.PostedFile.SaveAs(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/reference_2/" + strRefFileName2);
			RefFile3.PostedFile.SaveAs(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/reference_3/" + strRefFileName3);
			SceneFile.PostedFile.SaveAs(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/scene/" + strSceneFileName);
			// if a file for the bio has been attached, submit
			if (SigFile.PostedFile.ContentLength > 0)
			{
				SceneFile.PostedFile.SaveAs(strFileDirectory + "Director_" + LastNameField.Text 
					+ "_" + FirstNameField.Text + "/signature/" + strSigFileName);
			}
			BioFile.PostedFile.SaveAs(strFileDirectory + "Director_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/bio/" + strBioFileName);
			
			//string used to connect to server
			string connectionString = @"DRIVER={MySQL ODBC 3.51 Driver};SERVER=69.93.102.150;DATABASE=cwwadb;USER=cwwa;PASSWORD=sintegrate;OPTION=3;";
			
			OdbcConnection conn= new OdbcConnection(connectionString); // creates connection to mysql server

			string InsertStatement = "INSERT INTO Application (firstName, lastName, address, city, provState, country, postalZip, email, SIN, telephone, mobileNo, workNo, faxNo, smoking, contactName, contactTelephone, learn, isHidden, date, coverAttachment, ResumeAttachment, PhotoAttachment, position, creditCard, nameCard, expCard, refLetter1, refLetter2, refLetter3, SceneAttachment, signature, BioAttachment) ";
			
			string myInsertStatement = InsertStatement + " values ('" + FirstNameField.Text 
				+ "', '" + LastNameField.Text
				+ "', '" + AddressField.Text
				+ "', '" + CityField.Text
				+ "', '" + ProvField.Text
				+ "', '" + CountryField.Text
				+ "', '" + PostalField.Text
				+ "', '" + EmailField.Text
				+ "', '" + SINField.Text
				+ "', '" + TelephoneField.Text
				+ "', '" + MobileField.Text
				+ "', '" + WorkField.Text
				+ "', '" + FaxField.Text
				+ "', '" + RadioButtonList1.SelectedValue
				+ "', '" + ContactNameField.Text
				+ "', '" + ContactTelephoneField.Text
				+ "', '" + Textbox1.Text
				+ "', " + "1"
				+ ", '" + DateTime.Now.ToString()
				+ "', '" + "http://www.creativewomenworkshops.com/CWW/Admin/Attachments/" + "Director_" + LastNameField.Text + "_" + FirstNameField.Text + "/cover/" + strCoverLetterFileName
				+ "', '" + "http://www.creativewomenworkshops.com/CWW/Admin/Attachments/" + "Director_" + LastNameField.Text + "_" + FirstNameField.Text + "/resume/" + strResumeFileName
				+ "', '" + "http://www.creativewomenworkshops.com/CWW/Admin/Attachments/" + "Director_" + LastNameField.Text + "_" + FirstNameField.Text + "/photo/" + strPhotoFileName
				+ "', '" + "director"
				+ "', '" + ccField.Text 
				+ "', '" + ccNameField.Text 
				+ "', '" + ExpField.Text 
				+ "', '" + "http://www.creativewomenworkshops.com/CWW/Admin/Attachments/" + "Director_" + LastNameField.Text + "_" + FirstNameField.Text + "/reference_1/" + strRefFileName1 
				+ "', '" + "http://www.creativewomenworkshops.com/CWW/Admin/Attachments/" + "Director_" + LastNameField.Text + "_" + FirstNameField.Text + "/reference_2/" + strRefFileName2
				+ "', '" + "http://www.creativewomenworkshops.com/CWW/Admin/Attachments/" + "Director_" + LastNameField.Text + "_" + FirstNameField.Text + "/reference_3/" + strRefFileName3
				+ "', '" + "http://www.creativewomenworkshops.com/CWW/Admin/Attachments/" + "Director_" + LastNameField.Text + "_" + FirstNameField.Text + "/scene/" + strSceneFileName
				+ "', '" + "http://www.creativewomenworkshops.com/CWW/Admin/Attachments/" + "Director_" + LastNameField.Text + "_" + FirstNameField.Text + "/signature/" + strSigFileName
				+ "', '" + "http://www.creativewomenworkshops.com/CWW/Admin/Attachments/" + "Director_" + LastNameField.Text + "_" + FirstNameField.Text + "/bio/" + strBioFileName
				+ "')";


			OdbcCommand myCommand = new OdbcCommand(myInsertStatement,conn); //creates execution command

			conn.Open();  //opens server connection

			OdbcDataReader myReader = myCommand.ExecuteReader(); //execute sql statement

			conn.Close();  //closes server connection

			//direct user to confirm page
			Server.Transfer("DirConfirm.aspx", true);
			
		}

		private void ResetButton_Click(object sender, System.EventArgs e)
		{
			FirstNameField.Text="";
			LastNameField.Text="";
			AddressField.Text="";
			CityField.Text="";
			ProvField.Text="";
			CountryField.Text="";
			PostalField.Text="";
			EmailField.Text="";
			SINField.Text="";
			TelephoneField.Text="";
			MobileField.Text="";
			WorkField.Text="";
			FaxField.Text="";
			ContactNameField.Text="";
			ContactTelephoneField.Text="";
			Textbox1.Text="";

			ccField.Text="";
		    ccNameField.Text="";
			ExpField.Text="";
		}


	}
}